Module org.hdfgroup.hdfview
Package hdf.view.ImageView

# Interface ImageView

All Superinterfaces:
  `DataView`

All Known Implementing Classes:
  `DefaultImageView`

public interface ImageView extends DataView
The image view interface for displaying image object

Version:
  2.4 9/6/2007
Author:
  Peter X. Cao

- ## Field Summary

  ### Fields inherited from interface hdf.view.DataView.DataView

  `DATAVIEW_IMAGE, DATAVIEW_TABLE, DATAVIEW_UNKNOWN`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Image`
  `getImage()`
  `byte[]`
  `getImageByteData()`
  `byte[][]`
  `getPalette()`
  `Rectangle`
  `getSelectedArea()`
  Returns the selected area of the image
  `Object`
  `getSelectedData()`
  `boolean`
  `isPlaneInterlace()`
  `boolean`
  `isTrueColor()`
  `void`
  `setImage​(Image img)`
  Sets the image
  `void`
  `setPalette​(byte[][] palette)`
  Sets the image palette

  ### Methods inherited from interface hdf.view.DataView.DataView

  `getDataObject`

- ## Method Details

  - ### getSelectedArea

    Rectangle getSelectedArea()
    Returns the selected area of the image
    Returns:
      the rectangle of the selected image area.

  - ### isTrueColor

    boolean isTrueColor()
    Returns:
      true if the image is a truecolor image.

  - ### isPlaneInterlace

    boolean isPlaneInterlace()
    Returns:
      true if the image interlace is plane interlace.

  - ### getSelectedData

    Object getSelectedData()
    Returns:
      array of selected data

  - ### getImage

    Image getImage()
    Returns:
      the image displayed in this imageView

  - ### setImage

    void setImage​(Image img)
    Sets the image
    Parameters:
      `img` - the image to view

  - ### getPalette

    byte[][] getPalette()
    Returns:
      the palette of the image

  - ### setPalette

    void setPalette​(byte[][] palette)
    Sets the image palette
    Parameters:
      `palette` - the palette for the image to view

  - ### getImageByteData

    byte[] getImageByteData()
    Returns:
      the byte array of the image data